Page MenuHomePhabricator

[flang][windows] Support platform-specific path separator.
ClosedPublic

Authored by Meinersbur on Oct 14 2020, 12:11 AM.

Details

Summary

Remove the assumption that the path separator is /. Use functions from llvm::sys::path instead.

Diff Detail

Event Timeline

Meinersbur created this revision.Oct 14 2020, 12:11 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 14 2020, 12:11 AM
Meinersbur requested review of this revision.Oct 14 2020, 12:11 AM
klausler accepted this revision.Oct 21 2020, 10:01 AM

There may be path separators with UNIX assumptions in the runtime I/O support library, too.

This revision is now accepted and ready to land.Oct 21 2020, 10:01 AM

Is 128 for the path size enough?

There may be path separators with UNIX assumptions in the runtime I/O support library, too.

The runtime, such already has Windows-specific code mostly added by @isuruf.

Is 128 for the path size enough?

This is a SmallString, the equivalent of SmallVector<char,128> which will grow when more characters are needed.

isuruf accepted this revision.Oct 22 2020, 12:14 PM
This revision was landed with ongoing or failed builds.Oct 23 2020, 8:22 PM
This revision was automatically updated to reflect the committed changes.